Skip to content

Filter Queries with Nestable Blocks and Fields

It is possible to use filter queries with nestable blocks and fields that return objects. The following syntax applies:

stories/?filter_query[field.property][operation]=value

  • filter_query[body.0.headline][in]=Hello Earth!

    Returns all stories which meet the following criteria:
    a top-level blocks field named body


    the first nested block in this field (represented by the 0) has a headline field with the value “Hello Earth!”

  • filter_query[seo.description][is]=not_empty

    Returns all stories configured with an seo field (using the SEO App) with the property description that is not empty

The following example demonstrates how to use the filter_query parameter with nestable blocks.

curl "https://api.storyblok.com/v2/cdn/stories\
?filter_query%5Bbody.0.headline%5D%5Bin%5D=Hello+Earth%21\
&token=ask9soUkv02QqbZgmZdeDAtt"
Response
{
"stories": [
{
"name": "Home",
"created_at": "2018-04-24T11:57:29.231Z",
"published_at": "2026-10-12T09:47:00.856Z",
"updated_at": "2026-10-12T09:47:00.865Z",
"id": 107347,
"uuid": "273bba42-834b-4a87-b190-eafe3eabb4d4",
"content": {
"_uid": "5c524540-192a-4110-ab1d-b8721f278811",
"body": [
{
"_uid": "58acbf26-93f9-4faf-8f92-962eeb006029",
"headline": "Hello Earth!",
"component": "teaser"
},
{
"_uid": "95ed695c-007a-438a-a9ff-5890138c1b60",
"posts": [
"bfea4895-8a19-4e82-ae1c-1c591dce3094"
],
"component": "featured_posts"
},
{
"_uid": "f3530c4a-abe0-4416-9488-e5f79445c9fb",
"columns": [
{
"_uid": "2e738815-9e15-41c9-a7df-330d5157cc1f",
"name": "Feature 1",
"component": "feature"
},
{
"_uid": "02ddfbcc-6f6a-4be8-a901-153a622e6e83",
"name": "Feature 2",
"component": "feature"
},
{
"_uid": "802a531e-70ae-4ac0-8f34-fdba3b008031",
"name": "Feature 3",
"component": "feature"
}
],
"component": "grid"
}
],
"component": "page"
},
"slug": "home",
"full_slug": "home",
"sort_by_date": null,
"position": 40,
"tag_list": [],
"is_startpage": false,
"parent_id": 0,
"meta_data": null,
"group_id": "d080c075-3a6b-4e29-b0dc-e6500714203e",
"first_published_at": "2019-03-09T14:11:05.000Z",
"release_id": null,
"lang": "default",
"path": null,
"alternates": [],
"default_full_slug": null,
"translated_slugs": null
}
],
"cv": 1791799432,
"rels": [],
"links": []
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.